=== debian/changelog ===
ros-indigo-ueye-cam (1.0.15-0trusty) trusty; urgency=high

  * recover + update from failure in setColorMode
  * extended color modes (10, 12, 16 bit per channel)
  * added timeout topic for better debugging of frame timeouts
  * Contributors: Anqi Xu, Dominik Klein

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Thu, 25 Aug 2016 04:00:00 -0000

ros-indigo-ueye-cam (1.0.14-0trusty) trusty; urgency=high

  * now attempting to link against 32-bit ARMHF IDS libs on ARM64 arch
  * added capability to detect ARM64 processor (aarch64)
  * added separate rates for polling frames vs publishing images
  * fixed buffersize for subsampling and increased maximum image size availible via rqt
  * added Travis CI config
  * Contributors: Anqi Xu, Eddy, Isaac I.Y. Saito, francois

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Thu, 26 May 2016 04:00:00 -0000

ros-indigo-ueye-cam (1.0.13-0trusty) trusty; urgency=high

  * Change timestamp source based on issue https://github.com/anqixu/ueye_cam/issues/37
  * changed 'failure to set active-low flash' from error to warning
  * Fixed typo in Gain for dynamic reconfigure parameters
  * Updated pixel_clock cap in dyncfg settings
  * Added check_ueye_api to confirm availability of IDS SDK at runtime
  * Contributors: Anqi Xu, Anup, Aris Synodinos, Kei Okada

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Fri, 13 May 2016 04:00:00 -0000

ros-indigo-ueye-cam (1.0.12-0trusty) trusty; urgency=high

  * fixed binning IS_INVALID_BUFFER_SIZE bug
  * Modified nodelet to use camera timestamp instead of wall clock time
  * Fix for new upstream dir name on ARM
  * Contributors: Alejandro Merello, Anqi Xu, Scott K Logan

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Mon, 28 Sep 2015 04:00:00 -0000

ros-indigo-ueye-cam (1.0.11-0trusty) trusty; urgency=high

  * updated barebones IDS drivers to 4.61
  * removed barebones IDS drivers from debian packaging
  * Added proper checking for C++11 features on compilers
  * Performed minor code cleanup, updated old PLUGINLIB_DECLARE_CLASS to
    newer PLUGINLIB_EXPORT_CLASS
  * Contributors: Anqi Xu, Aris Synodinos

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Mon, 17 Aug 2015 04:00:00 -0000

ros-indigo-ueye-cam (1.0.10-0trusty) trusty; urgency=high

  * fixed setting synchronization bugs during camera initialization
  * added support for (packed) BGR8 color mode
  * failing to set non-essential parameters will no longer prematurily terminate nodelet
  * updated printouts to be more verbose and consistent
  * fix for reported ARM arch on Fedora
  * Contributors: Anqi Xu, Scott K Logan

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Thu, 06 Aug 2015 04:00:00 -0000

ros-indigo-ueye-cam (1.0.9-0trusty) trusty; urgency=high

  * fixed lagged changes to flip_upd and flip_lr via rqt_reconfigure
  * Support discrete-only pixelclocks cameras
  * Ask if gainboost is supported first
  * Switched to jbohren's version of the file(GENERATE...) fix
  * Contributors: Anqi Xu, Fran Real, Jonathan Bohren

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Tue, 03 Feb 2015 05:00:00 -0000

ros-indigo-ueye-cam (1.0.8-0trusty) trusty; urgency=high

  * switched from cmake's file(GENERATE ...) to execute_command(cp ...), to accommodate cmake 2.8.x on Saucy
  * Contributors: Anqi Xu

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Thu, 08 Jan 2015 05:00:00 -0000

ros-indigo-ueye-cam (1.0.7-0trusty) trusty; urgency=high

  * continuing to address issues on ROS bin buildfarm
  * Contributors: Anqi Xu

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Mon, 22 Dec 2014 05:00:00 -0000

ros-indigo-ueye-cam (1.0.6-0trusty) trusty; urgency=high

  * continuing to trying to fix errors on ROS buildfarm
  * Contributors: Anqi Xu

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Thu, 18 Dec 2014 05:00:00 -0000

ros-indigo-ueye-cam (1.0.5-0trusty) trusty; urgency=high

  * fixed/improved unofficial driver install; added warning messages during compile- & run-time to note that unofficially-installed drivers will allow ueye_cam to be compiled, but will not detect any cameras during runtime (since IDS camera daemon is not packaged in unofficial driver download)
  * Contributors: Anqi Xu

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Thu, 11 Dec 2014 05:00:00 -0000

ros-indigo-ueye-cam (1.0.4-0trusty) trusty; urgency=high

  * Switching to DownloadUEyeDriversUnofficial.cmake (based on ueye ROS package) until IDS grants official permission
  * Contributors: Anqi Xu

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Mon, 01 Dec 2014 05:00:00 -0000

ros-indigo-ueye-cam (1.0.3-0trusty) trusty; urgency=high

  * Dependency switch from 'vision_opencv' meta-package to 'cv_bridge' package
  * trim '/' prefix of topic and service to change to relative name-space
  * Contributors: Anqi Xu, Yutaka Kondo

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Wed, 05 Nov 2014 05:00:00 -0000

ros-indigo-ueye-cam (1.0.2-0trusty) trusty; urgency=high

  * switched from rosdep 'opencv2' to 'vision_opencv'
  * Contributors: Anqi Xu

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Thu, 16 Oct 2014 04:00:00 -0000

ros-indigo-ueye-cam (1.0.1-0trusty) trusty; urgency=high

  * Package now attempts to auto-install IDS uEye drivers; prints more useful info for IS_TIMED_OUT errors
  * First attempt at debian-packaging
  * Contributors: Anqi Xu, Dirk Thomas, Juan Camilo Gamboa Higuera, Kei Okada, Yutaka Kondo

 -- Anqi Xu <anqixu@cim.mcgill.ca>  Thu, 16 Oct 2014 04:00:00 -0000
