=== debian/control ===
Source: ros-indigo-ueye-cam
Section: misc
Priority: extra
Maintainer: Anqi Xu <anqixu@cim.mcgill.ca>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-camera-calibration-parsers, ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-ueye-cam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-camera-calibration-parsers, ros-indigo-camera-info-manager, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: A ROS nodelet and node that wraps the driver API for UEye cameras by IDS Imaging Development Systems GMBH.
